﻿@using SportsClub.Areas.Dashboard.Models
@model HolidaysDateViewModel

@{
    Layout = null;
}

<style>

</style>

<div class="view-container">
    <div class="title-bar">
        <div class="back">
            <a class="action" ui-sref='Settings'>
                <i class="icon-arrow-left fg-black"></i>
            </a>
        </div>

        <div class="title">
            <h1>
                Holiday calendar
            </h1>
        </div>

        <div class="clearfix"></div>
        <hr />
    </div>

    <form novalidate>
        <label>
            You can set the holiday calendar for your organization here. Classes that fall on these dates do not appear on the class description pages.
        </label>
        <hr />
        <fieldset>
            <div>
                <div class="clearfix"></div>
                <label>Set (AM and PM) dates</label>
                <div class="input-control date-time">
                    <input kendo-date-picker ng-model="classdates" k-options="MC.datePickerOptions" ng-focus="MC.dateTimePickerOpen($event)" ng-click="MC.dateTimePickerOpen($event)" ng-blur="MC.dateTimePickerClose($event)" ng-change="datetimePickerChanged($event,'Dates')" readonly />
                </div>
                <div class="input-control choosen" data-role="input-control">
                    <div>
                        <select chosen multiple
                                data-placeholder="Select dates"
                                ng-model="@Html.Ang(m=>m.HolidayDates)"
                                name="noClassApplicableDates"
                                ng-options="obj.Value as obj.Text for obj in Model.AllHolidayDates"></select>
                    </div>
                </div>
            </div>
        </fieldset>
        <fieldset>
            <div>
                <div class="clearfix"></div>
                <label>Set AM dates</label>
                <div class="input-control date-time">
                    <input kendo-date-picker ng-model="classAMdates" k-options="MC.datePickerOptions" ng-focus="MC.dateTimePickerOpen($event)" ng-click="MC.dateTimePickerOpen($event)" ng-blur="MC.dateTimePickerClose($event)" ng-change="datetimePickerChanged($event,'AMdates')" readonly/>
                </div>
                <div class="input-control choosen" data-role="input-control">
                    <div>
                        <select chosen multiple
                                data-placeholder="Select dates"
                                ng-model="@Html.Ang(m=>m.HolidayAMDates)"
                                name="noClassApplicableDates"
                                ng-options="obj.Value as obj.Text for obj in Model.AllHolidayAMDates"></select>
                    </div>
                </div>
            </div>
        </fieldset>
        <fieldset>
            <div>
                <div class="clearfix"></div>
                <label>Set PM dates</label>
                <div class="input-control date-time">
                    <input kendo-date-picker ng-model="classPMdates" k-options="MC.datePickerOptions" ng-focus="MC.dateTimePickerOpen($event)" ng-click="MC.dateTimePickerOpen($event)" ng-blur="MC.dateTimePickerClose($event)" ng-change="datetimePickerChanged($event,'PMdates')" readonly/>
                </div>
                <div class="input-control choosen" data-role="input-control">
                    <div>
                        <select chosen multiple
                                data-placeholder="Select dates"
                                ng-model="@Html.Ang(m=>m.HolidayPMDates)"
                                name="noClassApplicableDates"
                                ng-options="obj.Value as obj.Text for obj in Model.AllHolidayPMDates"></select>
                    </div>
                </div>
            </div>
        </fieldset>
        <div class="clearfix"></div>
        <hr />
        <button ng-click="save()" class="success large place-right">Save</button>
        <a class="place-left button link large" ui-sref='Settings'>Cancel</a>

    </form>
    <div class="clearfix"></div>
</div>
